StableOps
API 参考

创建 Webhook 端点

创建 StableOps Webhook 接收端点,配置回调地址与事件订阅,并立即安全保存仅在创建响应中展示的签名密钥。接收端应使用原始请求体验签,以事件标识去重,并在可靠保存任务后应答成功。投递可能重复、并发或乱序,重放与配置调整均需配合业务状态核对。

POST/v1/webhook-endpoints

Authorization

bearerAuth
AuthorizationBearer <token>

Paste your API key from the dashboard.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/webhook-endpoints" \  -H "Content-Type: application/json" \  -d '{    "url": "http://example.com"  }'
{
  "id": "string",
  "url": "http://example.com",
  "description": "string",
  "enabled_events": [
    "payment_order.created"
  ],
  "redact_metadata": true,
  "disabled_at": "2019-08-24T14:15:22Z",
  "created_at": "2019-08-24T14:15:22Z",
  "secret": "string"
}
{
  "statusCode": -9007199254740991,
  "message": "string",
  "error": "string"
}
{
  "statusCode": -9007199254740991,
  "message": "string",
  "error": "string"
}

这篇文档怎么样?

最后更新